def draw_gauge (val):
	h_alpha = float(int("0x" + h_color[7:9], 16)) / 255
	h_color1 = h_color[0:7]
	h_angle = (val * 2.7) - 135
	h_scalex = float(gauge_width) / 100
	h_scaley = float(gauge_height) / 100
	Dsp.gauge.graphics = \
		"<svg width='%d' height='%d'>" % (gauge_width, gauge_height) + \
		"<g transform='scale(%f, %f)'>" % (h_scalex, h_scaley) + \
		"<g transform='translate(50,50)'>" + \
		hand_svg % (h_color1,h_alpha,h_angle) + \
		"</g></g></svg>"

labeltimer = 0

def draw_labels(str1, str2, show_add = True):
	global labeltimer, plot_int, update
	labeltimer += update
	if labeltimer >= plot_int:
		if show_add:
			l1 = pre_l1 + str1 + post_l1
			l2 = pre_l2 + str2 + post_l2
		else:
			l1 = str1
			l2 = str2	

		if show_title:
			Dsp.title.visible = True
			Dsp.title.value = title
			
		else:
			Dsp.title.visible = False
			Dsp.title.value = ""
			
			
		if show_l1:
			Dsp.label_1.visible = True
			Dsp.label_1.value = l1
			
		else:
			Dsp.label_1.visible = False
			Dsp.label_1.value = ""
			
			
		if show_l2:
			Dsp.label_2.visible = True
			Dsp.label_2.value = l2
			
		else:
			Dsp.label_2.visible = False
			Dsp.label_2.value = ""
			

		labeltimer = 0


