def flatten (cache_id, val):
	if (len(cache[cache_id]) == 0) : cache[cache_id] = [val]
	else : cache[cache_id].insert(0, val)
	while len(cache[cache_id]) > cache_length[cache_id]:
		cache[cache_id].pop()
	sum = 0
	for v in cache[cache_id] : sum += v
	return sum / cache_length[cache_id]

def scale_bytes(value):
	value = float(value)
	if value >= (1024**4) :
		return scale_float(value/(1024.0**4)) + "T"
	if value >= (1024**3) :
		return scale_float(value/(1024.0**3)) + "G"
	if value >= (1024**2) :
		return scale_float(value/(1024.0**2)) + "M"
	if value >= 1024 :
		return scale_float(value/1024.0) + "k"
	else : return "%i" % value

def scale_float(value):
	if value >= 100 :
		return "%d" % round(value)
	if value >= 10 :
		return "%.1f" % value
	else : return "%.2f" % value
